Subject: Re: bug#19874: 25.0.50; encode-time not working as expected

From: Paul Eggert <[email-masked]>
Date: Thu, 26 Feb 2015 22:38:31 -0800

Ashish SHUKLA wrote:
> So, looks like you're right it only happens with X11 (Gtk3) build

Possibly the Gtk3 code calls 'setenv', and this collides with Emacs's 
implementation of putenv.

Emacs's putenv implementation should be portable to any POSIX platform, but 
FreeBSD 10.1 getenv+setenv has a bug.  The attached program should work on any 
POSIX platform, and it does work on GNU/Linux and on Solaris, but it doesn't 
work on FreeBSD 10.1.  Emacs has similar code, which apparently also runs afoul 
of the FreeBSD bug.